SilentCopy (Ant Contrib)
Keywords: net.sf.antcontrib.walls.SilentCopy class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.walls
Class SilentCopy

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.Copy
                  net.sf.antcontrib.walls.SilentCopy

    public class SilentCopy

extends org.apache.tools.ant.taskdefs.Copy

FILL IN JAVADOC HERE

Author:
  Dean Hiller(dean@xsoftware.biz)

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.Copy
`completeDirMap, destDir, destFile, dirCopyMap, failonerror, file, fileCopyMap, filesets, fileUtils, filtering, flatten, forceOverwrite, includeEmpty, mapperElement, preserveLastModified, verbosity`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`SilentCopy()`

Method Summary
`void` | `log(java.lang.String msg)`
`void` | `log(java.lang.String msg, int level)`

Methods inherited from class org.apache.tools.ant.taskdefs.Copy
`add, addFileset, buildMap, createFilterChain, createFilterSet, createMapper, doFileOperations, execute, getEncoding, getFileUtils, getFilterChains, getFilterSets, getOutputEncoding, getPreserveLastModified, isEnableMultipleMapping, scan, setEnableMultipleMappings, setEncoding, setFailOnError, setFile, setFiltering, setFlatten, setGranularity, setIncludeEmptyDirs, setOutputEncoding, setOverwrite, setPreserveLastModified, setPreserveLastModified, setTodir, setTofile, setVerbose, validateAttributes`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SilentCopy

    public SilentCopy()

Method Detail

### log

    public void log(java.lang.String msg)

  Overrides:
    `log` in class `org.apache.tools.ant.Task`

### log

    public void log(java.lang.String msg,
                    int level)

  Overrides:
    `log` in class `org.apache.tools.ant.Task`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD